# Windows NT PE File

Assembler code

```
.text:00011FE0
.text:00011FE0 # =============== S U B R O U T I N E =======================================
.text:00011FE0
.text:00011FE0
.text:00011FE0 sub_11FE0:                              # DATA XREF: .text:off_10464↑o
.text:00011FE0                                         # .pdata:00012B44↓o ...
.text:00011FE0
.text:00011FE0 .set sender_sp, -0xB0
.text:00011FE0 .set var_78, -0x78
.text:00011FE0 .set var_70, -0x70
.text:00011FE0 .set var_60, -0x60
.text:00011FE0 .set var_58, -0x58
.text:00011FE0 .set var_50, -0x50
.text:00011FE0 .set var_44, -0x44
.text:00011FE0 .set sender_lr,  8
.text:00011FE0
.text:00011FE0 # FUNCTION CHUNK AT .text:0001257C SIZE 000000B0 BYTES
.text:00011FE0 # FUNCTION CHUNK AT .text:00012834 SIZE 00000038 BYTES
.text:00011FE0
.text:00011FE0                 stw       r15, var_44(r1)
.text:00011FE4                 mflr      r15
.text:00011FE8                 bl        _save32gpr_16
.text:00011FEC                 mr        r27, r3
.text:00011FF0                 mr        r23, r4
.text:00011FF4                 stw       r2, sender_lr(r1)
.text:00011FF8                 stwu      r1, sender_sp(r1)
.text:00011FFC
.text:00011FFC loc_11FFC:                              # DATA XREF: .pdata:00012B58↓o
.text:00011FFC                 lwz       r10, 0x60(r23)
.text:00012000                 lis       r11, 7
.text:00012004                 mr        r21, r10
.text:00012008                 lwz       r9, 0xC(r21)
.text:0001200C                 ori       r11, r11, 0x14 # 0x70014
.text:00012010                 cmplw     cr1, r9, r11
.text:00012014                 lwz       r24, 0x28(r27)

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/9.0/user-guide/disassembler/disassembly-gallery/windows-nt-pe-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
